//
//  JTCCustomizableView.m
//  C_POS
//
//  Created by Tomohisa Takaoka on 6/2/12.
/***************
 Copyright (c) 2012 Tomohisa Takaoka
 
 Permission is hereby granted, free of charge, to any person obtaining a copy of this
 software and associated documentation files (the "Software"), to deal in the Software
 without restriction, including without limitation the rights to use, copy, modify, merge,
 publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
 to whom the Software is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all copies 
 or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 DEALINGS IN THE SOFTWARE.
 ***************/

#import "JTCCustomizableView.h"

@implementation JTCCustomizableView
@synthesize borderColor = _borderColor;
@synthesize shadowColor = _shadowColor;
@synthesize shadowOpacity = _shadowOpacity;
@synthesize borderWidth = _borderWidth;
@synthesize shadowRadius = _shadowRadius;
@synthesize cornerRadius = _cornerRadius;
@synthesize shadowOffset = _shadowOffset;


//@property (nonatomic, strong) NSString* shadowOpacity;
//@property (nonatomic, strong) NSString* borderWidth;
//@property (nonatomic, strong) NSString* cornerRadius;
//@property (nonatomic, strong) NSString* shadowRadius;
//@property (nonatomic, assign) CGSize shadowOffcet;

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
    }
    return self;
}

-(void) awakeFromNib {
    [super awakeFromNib];
    if (_borderColor) {
        self.layer.borderColor = _borderColor.CGColor;
    }
    if (_shadowColor) {
        self.layer.shadowColor = _shadowColor.CGColor;
    }
    if (_shadowOpacity) {
        self.layer.shadowOpacity = [_shadowOpacity floatValue];
    }
    if (_borderWidth) {
        self.layer.borderWidth = [_borderWidth floatValue];
    }
    if (_shadowRadius) {
        self.layer.shadowRadius = [_shadowRadius floatValue];
    }
    if (_cornerRadius) {
        self.layer.cornerRadius = [_cornerRadius floatValue];
    }
    if (_shadowOffset) {
        self.layer.shadowOffset = [_shadowOffset CGSizeValue];
    }
    
}



/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
